Bug 1951188 (CVE-2021-29492) - CVE-2021-29492 envoyproxy/envoy: HTTP request with escaped slash characters can bypass Envoy's authorization mechanisms
Summary: CVE-2021-29492 envoyproxy/envoy: HTTP request with escaped slash characters c...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-29492
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1958384 (view as bug list)
Depends On:
Blocks: 1951189 1958387
TreeView+ depends on / blocked
 
Reported: 2021-04-19 18:40 UTC by Pedro Sampaio
Modified: 2021-06-14 23:31 UTC (History)
4 users (show)

Fixed In Version: Envoy 1.17.3, Envoy 1.16.4, Envoy 1.15.5, Envoy 1.14.8
Doc Type: If docs needed, set a value
Doc Text:
An authorization bypass vulnerability was found in envoyproxy/envoy. An attacker can potentially craft an HTTP request that defines a certain pattern of escaped characters in the URI path (such as %2F, %2f, %5C or %5c), allowing them to bypass the envoy authorization service. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2021-05-12 02:33:51 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2021-04-19 18:40:18 UTC
Envoy through 1.17.3 contains a remotely exploitable vulnerability where an HTTP request with escaped slash characters can bypass Envoy's authorization mechanisms.

Comment 2 Mark Cooper 2021-04-21 05:01:02 UTC
Acknowledgments:

Name: the Envoy security team

Comment 3 Pedro Sampaio 2021-05-10 12:55:37 UTC
*** Bug 1958384 has been marked as a duplicate of this bug. ***

Comment 5 errata-xmlrpc 2021-05-11 23:28:40 UTC
This issue has been addressed in the following products:

  OpenShift Service Mesh 2.0

Via RHSA-2021:1538 https://access.redhat.com/errata/RHSA-2021:1538

Comment 6 errata-xmlrpc 2021-05-11 23:29:25 UTC
This issue has been addressed in the following products:

  OpenShift Service Mesh 1.1

Via RHSA-2021:1540 https://access.redhat.com/errata/RHSA-2021:1540

Comment 8 Mark Cooper 2021-05-12 01:28:37 UTC
External References:

https://istio.io/latest/news/releases/1.9.x/announcing-1.9.5/

Comment 9 Product Security DevOps Team 2021-05-12 02:33:51 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-29492


Note You need to log in before you can comment on or make changes to this bug.